Page Menu
Home
Phorge
Search
Configure Global Search
Log In
Files
F117790813
D5.1775256455.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Flag For Later
Award Token
Authored By
Unknown
Size
965 B
Referenced Files
None
Subscribers
None
D5.1775256455.diff
View Options
diff --git a/drydocker/roundcubemail-plugins-kolab/test_jslint.sh b/drydocker/roundcubemail-plugins-kolab/test_jslint.sh
new file mode 100755
--- /dev/null
+++ b/drydocker/roundcubemail-plugins-kolab/test_jslint.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+pushd /srv/${PACKAGE}.git
+
+wget http://dl.google.com/closure-compiler/compiler-latest.zip -O compiler.zip || (echo "Failed to download the closure-compiler" ; exit 1)
+unzip -u compiler.zip
+
+retval=0
+
+find ./plugins -type f -name "*.js" | grep -v '.min' | grep -v 'viewer/' | sort | while read file; do
+ echo "Linting '$file' ..."
+ java -jar ./compiler.jar --language_in="ECMASCRIPT3" $file > /dev/null
+ rval=$?
+ if [ ${rval} -ne 0 ]; then
+ echo "> FAILED"
+ else
+ echo "> OK"
+ fi
+ retval=$(( ${retval} + $rval ))
+done
+
+rm -f ./compiler.jar ./compiler.zip ./README* ./COPYING
+
+if [ ${retval} -ne 0 ]; then
+ echo "FAILED jslint test."
+ exit 1
+fi
+
+popd
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Fri, Apr 3, 10:47 PM (1 d, 19 h ago)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
18827143
Default Alt Text
D5.1775256455.diff (965 B)
Attached To
Mode
D5: Add test script to run a jslint check on javascript files using Google's closure compiler
Attached
Detach File
Event Timeline